"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isObjectMatch = exports.cleanText = void 0;
const cleanText = (str) => {
    return str
        .replace(/[\r\n\t]+/g, ' ') // Replace newlines and tabs with a space
        .replace(/\s\s+/g, ' ') // Replace multiple spaces with a single space
        .replace(/\u00A0/g, ' ') // Replace non-breaking spaces with a regular space
        .trim(); // Trim leading and trailing spaces
};
exports.cleanText = cleanText;
// Check if a subset object is a partial match of another object
const isObjectMatch = (partialObj, mainObj) => {
    return Object.keys(partialObj).every((key) => partialObj[key] === mainObj[key]);
};
exports.isObjectMatch = isObjectMatch;
//# sourceMappingURL=helpers.js.map