"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WebStorage = void 0;
class WebStorage {
    constructor(storage) {
        /**
         * Set a json-parsable item in storage
         */
        this.setItem = (key, value) => {
            try {
                const item = JSON.stringify(value);
                this.storage.setItem(key, item);
            }
            catch (e) {
                console.warn('Storage set error', { key, value }, e);
            }
        };
        /**
         * Get a json-parsed item from storage
         */
        this.getItem = (key) => {
            try {
                const item = this.storage.getItem(key);
                if (item === null) {
                    return undefined;
                }
                return JSON.parse(item);
            }
            catch (e) {
                console.warn('Storage retrieval error', { key }, e);
            }
            return undefined;
        };
        this.storage = storage;
    }
}
exports.WebStorage = WebStorage;
//# sourceMappingURL=web-storage.js.map