"use strict";
// types/factories.ts
Object.defineProperty(exports, "__esModule", { value: true });
exports.createNetworkSignal = exports.createUserDefinedSignal = exports.createNavigationSignal = exports.createInteractionSignal = exports.createInstrumentationSignal = void 0;
const normalize_url_1 = require("../lib/normalize-url");
/**
 * Factories
 */
const createInstrumentationSignal = (rawEvent) => {
    return {
        type: 'instrumentation',
        data: {
            rawEvent,
        },
    };
};
exports.createInstrumentationSignal = createInstrumentationSignal;
const createInteractionSignal = (data) => {
    return {
        type: 'interaction',
        data,
    };
};
exports.createInteractionSignal = createInteractionSignal;
const createNavigationSignal = (data) => {
    return {
        type: 'navigation',
        data,
    };
};
exports.createNavigationSignal = createNavigationSignal;
const createUserDefinedSignal = (data) => {
    return {
        type: 'userDefined',
        data,
    };
};
exports.createUserDefinedSignal = createUserDefinedSignal;
const createNetworkSignal = (data, metadata) => {
    return {
        type: 'network',
        data: {
            ...data,
            url: (0, normalize_url_1.normalizeUrl)(data.url),
        },
        metadata: metadata,
    };
};
exports.createNetworkSignal = createNetworkSignal;
//# sourceMappingURL=factories.js.map