import { NetworkSignalsFilterList } from './network-signals-filter';
import { SignalEmitter } from '../../emitter';
import { SignalsSettingsConfig } from '../../signals';
import { SignalGenerator } from '../types';
export type NetworkSettingsConfigSettings = Pick<SignalsSettingsConfig, 'networkSignalsAllowList' | 'networkSignalsAllowSameDomain' | 'networkSignalsDisallowList'>;
export declare class NetworkSettingsConfig {
    networkSignalsAllowSameDomain: boolean;
    networkSignalsFilterList: NetworkSignalsFilterList;
    constructor({ networkSignalsAllowList, networkSignalsDisallowList, networkSignalsAllowSameDomain, }: NetworkSettingsConfigSettings);
}
export declare class NetworkGenerator implements SignalGenerator {
    id: string;
    private filter;
    private interceptor;
    private emittedRequestIds;
    constructor(settings: NetworkSettingsConfig);
    register(emitter: SignalEmitter): () => void;
}
//# sourceMappingURL=index.d.ts.map